# List addresses visible to this user

Only available to Buyer Users.

Endpoint: GET /me/addresses
Version: 1.0.450.36533
Security: OAuth2

## Query parameters:

  - `search` (string)
    Word or phrase to search for.

  - `searchOn` (array)
    Comma-delimited list of fields to search on.
    Enum: "ID", "AddressName", "CompanyName", "City", "Street1", "Street2", "LastName", "FirstName", "State", "Zip"

  - `sortBy` (array)
    Comma-delimited list of fields to sort by.
    Enum: "AddressName", "ID", "DateCreated", "CompanyName", "FirstName", "LastName", "Street1", "Street2", "City", "State", "Zip", "Country", "Phone", "!AddressName", "!ID", "!DateCreated", "!CompanyName", "!FirstName", "!LastName", "!Street1", "!Street2", "!City", "!State", "!Zip", "!Country", "!Phone"

  - `page` (integer)
    Page of results to return. When paginating through many items (> page 30), we recommend the "Last ID" method, as outlined in the Advanced Querying documentation.

  - `pageSize` (integer)
    Number of results to return per page.

  - `filters` (object)
    An object or dictionary representing key/value pairs to apply as filters. Valid keys are top-level properties of the returned model or 'xp.???'

## Response 200 fields (application/json):

  - `Items` (array)
    Example: [{"ID":"","Shipping":false,"Billing":false,"Editable":false,"DateCreated":"2018-01-01T00:00:00-06:00","CompanyName":"","FirstName":"","LastName":"","Street1":"","Street2":"","City":"","State":"","Zip":"","Country":"","Phone":"","AddressName":"","xp":{}}]

  - `Items.ID` (string)

  - `Items.Shipping` (boolean)
    Indicates whether this address can be used as a ShippingAddress on an order or line item.

  - `Items.Billing` (boolean)
    Indicates whether this address can be used as a BillingAddress on an order.

  - `Items.Editable` (boolean)
    Indicates whether this address can be edited by the current user.

  - `Items.DateCreated` (string)
    Example: "2018-01-01T00:00:00-06:00"

  - `Items.CompanyName` (string)

  - `Items.FirstName` (string)

  - `Items.LastName` (string)

  - `Items.Street1` (string)

  - `Items.Street2` (string)

  - `Items.City` (string)

  - `Items.State` (string)

  - `Items.Zip` (string)

  - `Items.Country` (string)

  - `Items.Phone` (string)

  - `Items.AddressName` (string)

  - `Items.xp` (object)
    Example: {}

  - `Meta` (object)

  - `Meta.Page` (integer)

  - `Meta.PageSize` (integer)

  - `Meta.TotalCount` (integer)

  - `Meta.TotalPages` (integer)

  - `Meta.ItemRange` (array)

  - `Meta.NextPageKey` (string)

## Response 4XX fields (application/json):

  - `StatusCode` (integer)
    Example: "404"

  - `ErrorCode` (string)
    Example: "NotFoundError"

  - `Message` (string)
    Example: "Object not found"

  - `Data` (object)
    Example: {"ObjectType":"","ObjectID":""}


